Subject: Re: bug#19931: 24.4; Support for OS X press and hold

From: Pankaj Jangid <[email-masked]>
Date: Sun, 13 Dec 2020 09:41:34 +0530

Philipp Stephani <[email-masked]> writes:

>> > "Press and hold" is an OS X input method used for entering accented
>> > characters if a key is held down (instead of repeating the key).  It's
>> > not supported in Emacs.
>> > http://lists.gnu.org/archive/html/emacs-devel/2011-06/msg00784.html
>> > states: "Let's look into making it work properly once people decide to
>> > install Lion."
>> > That was more than three years ago, and since then two major OS X
>> > versions have been released, but unfortunately press and hold is still
>> > not supported.  It would be great to support this feature to make Emacs
>> > more consistent with other apps on OS X.
>>
>> Do we have support for this on free operating systems?  Otherwise, I
>> think the policy is that we can't add it to Emacs.
>
> Probably yes, at least I haven't found similar functionality on free
> windowing systems.

And if that is patented (like the right swipe) then no other system will
be implementing it. Probably, we can think of something better to
achieve the same goal. And make it portably available to all.

One idea:

A new input-method: accented-cycle (C-u C-\ "accented-cycle" RET).

Once you have this input-method selected, then repeating same key will
cycle through the accented options. Ofcourse sometimes it is useful to
cut off input method so that instead of cycling you just repeat the same
character in the typed text. This is already very well documented in the
"(emacs) 22.3 Input Method".

Also, the newly added "transient" input method will also be added help.

So, why "press and hold" when you can simply "glide".